# Portcullis

A gem for interaction with https://portcullis.io/. This gem has no external dependencies.

## Usage

### Create a Token

```ruby
user_id = 123456
client = Portcullis::APIClient.new("/path/to/config.yml")
client.create_token(user_id)
```

### Verify a Token

```ruby
user_id = 123456
token = "013579"
client = Portcullis::APIClient.new("/path/to/config.yml")
client.verify_token(user_id, token)
```

### Destroy a Token

```ruby
user_id = 123456
client = Portcullis::APIClient.new("/path/to/config.yml")
client.destroy_token(user_id)
```
